<?PHP
	include "include/globals.php";
	include $_SESSION['addressbookstorage'];

	$AddressBook = new AddressBook();

	if (isset($_REQUEST["action"]) && ($_REQUEST["action"] == "delete")) {
		$AddressBook->DeleteIdentity($_REQUEST["identityid"]);
	} else if (isset($_REQUEST["action"]) && ($_REQUEST["action"] == "add")) {
		$AddressBook->AddIdentity("New Identity");
	}
	$identities = $AddressBook->GetIdentities();
	if ($identities === false) {
		$AddressBook->AddIdentity("Default");
		$identities = $AddressBook->GetIdentities();
	}

	PageHeader(1);
?>
<head>
	<title></title>
	<style type="text/css">
		@import "themes/<?php echo($_SESSION["themedir"]);?>/css/settingsidentities.css";
		@import "themes/<?php echo($_SESSION["themedir"]);?>/css/globals.css";
	</style>
	<script type="text/javascript">
		<!--
		parent.sheader.location.href = 'header.php?header=<?php echo(urlencode(gettext("Editing Identities")));?>';
		-->
	</script>
</head>
<body>
<div id="header">
	<div id="header_leftcap">
	</div>
	<div id="header_rightcap">
	</div>
	<div id="header_identity">
		<?php echo(gettext("Identity"));?>
	</div>
	<div id="header_action">
		<?php echo(gettext("Action"));?>
	</div>
</div>
<form id="identityform" onsubmit="return false;" action="">
	<table id="identitytable">
		<?php
			for ($i = 0; $i < count($identities); $i++) {
				echo("		<tr>\n");
				echo("			<td id=\"defaultcell\">\n");
				echo("				<div><input type=\"radio\" name=\"setDefault\" onchange=\"SetDefault('" . addslashes($identities[$i]["id"]) . "')\"");
				//if ($entry["default"] == $entry["emails"][$i]) {
				//	echo(" checked=\"checked\"");
				//}
				echo("/></div>\n");
				echo("			</td>\n");
				echo("			<td class=\"identitycell\">\n");
				echo("				" . $identities[$i]["name"] . "\n");
				echo("			</td>\n");
				echo("			<td class=\"editcell\">\n");
				echo("				<div onclick=\"EI(" . $identities[$i]["id"] . ");\"><span>" . gettext("edit") . "</span></div>\n");
				echo("			</td>\n");
				echo("			<td class=\"deletecell\">\n");
				echo("				<div onclick=\"DI(" . $identities[$i]["id"] . ");\"><span>" . gettext("delete") . "</span></div>\n");
				echo("			</td>\n");
				echo("	</tr>\n");
			}
		?>
	</table>
	<div id="newidentity" onclick="NI();">
		<span>
			<?php echo(gettext("Add New Identity"));?>
		</span>
	</div>
</form>
<script type="text/javascript">
<!--
	function EI(identityid) {
		location.href = 'settingseditidentity.php?identityid=' + identityid;
	}

	function DI(identityid) {
		if (confirm('<?php echo(addslashes(gettext("Are you sure you wish to delete this identity?")));?>')) {
			location.href = 'settingsidentities.php?action=delete&identityid=' + identityid;
		}
	}

	function NI() {
		location.href = 'settingsidentities.php?action=add';
	}
// -->
</script>
</body>
</html>
