<?PHP
	include "include/globals.php";

	// exit if no message has been chosen yet
	if(($_SESSION["currentfolder"] != "") and ($_SESSION["currentmessage"] != "") and ($_SESSION["currentmessage"] != -1)) {
		$mbox = open_mailbox($_SESSION["currentfolder"]);

		// get the header information
		$headers = imap_fetchheader($mbox, $_SESSION["currentmessage"], FT_UID);

		// get the body information
		$body = @imap_body($mbox, $_SESSION["currentmessage"], FT_PEEK + FT_UID);
	}

	PageHeader(1);
?>
<head>
	<title><?php echo(gettext("View Entire Message")); ?></title>
	<style type="text/css">
		@import "themes/<?php echo($_SESSION["themedir"]);?>/css/view.css";
	</style>
</head>
<body>
<div id="messagebody">
	<?PHP echo nl2br(str_replace(" ", "&nbsp;", str_replace("\t", "     ", htmlspecialchars($headers . $body))));?>
</div>
</body>
<?php
	if(($_SESSION["currentfolder"] != "") and ($_SESSION["currentmessage"] != "") and ($_SESSION["currentmessage"] != -1)) {
		imap_close($mbox);
	}
?>
</html>
